import 'package:syncrow_web/services/batch_control_devices_service.dart';
import 'package:syncrow_web/services/control_device_service.dart';

abstract final class DeviceBlocDependenciesFactory {
  const DeviceBlocDependenciesFactory._();

  static ControlDeviceService createControlDeviceService() {
    return DebouncedControlDeviceService(
      decoratee: RemoteControlDeviceService(),
    );
  }

  static BatchControlDevicesService createBatchControlDevicesService() {
    return DebouncedBatchControlDevicesService(
      decoratee: RemoteBatchControlDevicesService(),
    );
  }
}
